#include<bits/stdc++.h>
using namespace std;
int n,m,br;
long long a [30005];
long long b [30005];
int main()
{
    scanf("%d",&n);
    for(int i=0;i<n+1;i++){
        scanf("%d", &m);
        br=0;
        for(int j=0;j<m;j++){
            scanf("%d %d",&a[j],&b[j]);
            if(a[j]!=0 or b[j]!=0){
                cout<<"NE"<<endl;
                ;}
            else{
                if(a[j]==b[j]){
                br++;
                }
                if(br==m){
                    cout<<"DA"<<endl;
                }
            }
        }
    }

    return 0;
}